Bug 170918 - [NEW PORT] games/entombed: A one- or two-player maze game based on the Entombed
Summary: [NEW PORT] games/entombed: A one- or two-player maze game based on the Entombed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-23 14:50 UTC by nemysis
Modified: 2013-11-26 13:30 UTC (History)
1 user (show)

See Also:


Attachments
.shar (2.73 KB, text/plain)
2012-08-23 14:50 UTC, nemysis
no flags Details
entombed.shar (2.65 KB, application/x-shar)
2012-10-11 02:57 UTC, nemysis
no flags Details
entombed.shar (5.52 KB, application/x-shar)
2013-02-14 13:18 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-23 14:50:01 UTC
Entombed! is a one- or two-player maze game based on the classic Atari 2600 game
"Entombed", 1982 U.S. Games.

You and your team of archeologists have fallen into the
"catacombs of the zombies". There's no time for research, though;
the walls are closing in, and the zombies have sprung to life!

Fortunately, you've discovered an ancient mystical potion which allows you to
create and destroy walls. Bottles of this potion are strewn about the catacombs.
Grab them, and you can break through walls when you get stuck,
or create a wall behind you, if you're being chased.

The longer you survive, the faster you have to move.

WWW: http://www.newbreedsoftware.com/entombed/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 nemysis 2013-02-14 13:18:42 UTC
portlint -A
WARN: Makefile: [23]: possible direct use of command "false" found. use ${FALSE} instead.
0 fatal errors and 1 warning found.

port test: clean
Comment 2 Martin Wilke freebsd_committer 2013-02-23 19:07:25 UTC
State Changed
From-To: open->closed

I close this pr; only one mirror, latest release 2001.
Comment 3 Rusmir Dusko freebsd_committer 2013-10-03 00:12:21 UTC
State Changed
From-To: closed->open

Recent Sources.
Comment 4 Rusmir Dusko freebsd_committer 2013-10-03 00:16:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-11-26 13:21:22 UTC
Author: nemysis
Date: Tue Nov 26 13:21:14 2013
New Revision: 334929
URL: http://svnweb.freebsd.org/changeset/ports/334929

Log:
  Entombed! is a one- or two-player maze game based on the classic Atari 2600
  game "Entombed", 1982 U.S. Games.
  
  Wikipedia "Entombed (video game)"
  
  You and your team of archeologists have fallen into the
  "catacombs of the zombies". There's no time for research, though;
  the walls are closing in, and the zombies have sprung to life!
  
  Fortunately, you've discovered an ancient mystical potion which allows you to
  create and destroy walls. Bottles of this potion are strewn about the catacombs.
  Grab them, and you can break through walls when you get stuck,
  or create a wall behind you, if you're being chased.
  
  The longer you survive, the faster you have to move.
  
  WWW: http://www.newbreedsoftware.com/entombed/
  
  PR:		ports/170918
  Submitted by:	nemysis (self)
  Approved by:	wg (mentor)

Added:
  head/games/entombed/
  head/games/entombed/Makefile   (contents, props changed)
  head/games/entombed/distinfo   (contents, props changed)
  head/games/entombed/pkg-descr   (contents, props changed)
  head/games/entombed/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Tue Nov 26 13:06:15 2013	(r334928)
+++ head/games/Makefile	Tue Nov 26 13:21:14 2013	(r334929)
@@ -226,6 +226,7 @@
     SUBDIR += endgame-singularity-music
     SUBDIR += enigma
     SUBDIR += ensemblist
+    SUBDIR += entombed
     SUBDIR += enygma
     SUBDIR += epiar
     SUBDIR += etracer

Added: head/games/entombed/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/entombed/Makefile	Tue Nov 26 13:21:14 2013	(r334929)
@@ -0,0 +1,46 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	entombed
+PORTVERSION=	2007.07.04
+CATEGORIES=	games
+MASTER_SITES=	ftp://ftp.tuxpaint.org/unix/x/entombed/ \
+		ftp://ftp.billsgames.com/unix/x/entombed/ \
+		SF/nemysisfreebsdp/${CATEGORIES}/${PORTNAME}/:icons
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	One- or two-player maze game based on the Entombed
+
+LICENSE=	GPLv2
+
+USES=		gmake
+USE_SDL=	image mixer sdl
+
+PORTDOCS=	AUTHORS.txt CHANGES.txt README.txt TODO.txt
+
+DESKTOP_ENTRIES="Entombed" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
+
+OPTIONS_DEFINE=	DOCS
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|CC=gcc|CC=${CC}|' \
+		${WRKSRC}/Makefile
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+
+.for d in embedded images images_halfsize music sounds
+	@(cd ${WRKSRC}/data && ${COPYTREE_SHARE} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/docs/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/games/entombed/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/entombed/distinfo	Tue Nov 26 13:21:14 2013	(r334929)
@@ -0,0 +1,4 @@
+SHA256 (entombed-2007.07.04.tar.gz) = a0c392d86901fbc2e263b7a9531dc8a87634c0799f114e856150bf3e8b374ab1
+SIZE (entombed-2007.07.04.tar.gz) = 304328
+SHA256 (entombed.png) = 0783e9d7322b24584e93e60034ee7d40ccd5afe11429a39c31b2caa72747d48c
+SIZE (entombed.png) = 2937

Added: head/games/entombed/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/entombed/pkg-descr	Tue Nov 26 13:21:14 2013	(r334929)
@@ -0,0 +1,17 @@
+Entombed! is a one- or two-player maze game based on the classic Atari 2600
+game "Entombed", 1982 U.S. Games.
+
+Wikipedia "Entombed (video game)"
+
+You and your team of archeologists have fallen into the
+"catacombs of the zombies". There's no time for research, though;
+the walls are closing in, and the zombies have sprung to life!
+
+Fortunately, you've discovered an ancient mystical potion which allows you to
+create and destroy walls. Bottles of this potion are strewn about the catacombs.
+Grab them, and you can break through walls when you get stuck,
+or create a wall behind you, if you're being chased.
+
+The longer you survive, the faster you have to move.
+
+WWW: http://www.newbreedsoftware.com/entombed/

Added: head/games/entombed/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/entombed/pkg-plist	Tue Nov 26 13:21:14 2013	(r334929)
@@ -0,0 +1,75 @@
+bin/entombed
+%%DATADIR%%/embedded/images/title.bmp.bz2
+%%DATADIR%%/images/1.png
+%%DATADIR%%/images/2.png
+%%DATADIR%%/images/brick1.png
+%%DATADIR%%/images/brick2.png
+%%DATADIR%%/images/brick3.png
+%%DATADIR%%/images/brick4.png
+%%DATADIR%%/images/brick5.png
+%%DATADIR%%/images/credits1.png
+%%DATADIR%%/images/credits2.png
+%%DATADIR%%/images/credits3.png
+%%DATADIR%%/images/credits4.png
+%%DATADIR%%/images/icon.png
+%%DATADIR%%/images/makebreak1.png
+%%DATADIR%%/images/makebreak2.png
+%%DATADIR%%/images/makebreak3.png
+%%DATADIR%%/images/makebreak4.png
+%%DATADIR%%/images/makebreak5.png
+%%DATADIR%%/images/man1.png
+%%DATADIR%%/images/man2.png
+%%DATADIR%%/images/numbers.png
+%%DATADIR%%/images/paused.png
+%%DATADIR%%/images/title.jpg
+%%DATADIR%%/images/woman1.png
+%%DATADIR%%/images/woman2.png
+%%DATADIR%%/images/zombie1.png
+%%DATADIR%%/images/zombie2.png
+%%DATADIR%%/images/zombie_mad1.png
+%%DATADIR%%/images/zombie_mad2.png
+%%DATADIR%%/images_halfsize/1.png
+%%DATADIR%%/images_halfsize/2.png
+%%DATADIR%%/images_halfsize/brick1.png
+%%DATADIR%%/images_halfsize/brick2.png
+%%DATADIR%%/images_halfsize/brick3.png
+%%DATADIR%%/images_halfsize/brick4.png
+%%DATADIR%%/images_halfsize/brick5.png
+%%DATADIR%%/images_halfsize/credits1.png
+%%DATADIR%%/images_halfsize/credits2.png
+%%DATADIR%%/images_halfsize/credits3.png
+%%DATADIR%%/images_halfsize/credits4.png
+%%DATADIR%%/images_halfsize/icon.png
+%%DATADIR%%/images_halfsize/makebreak1.png
+%%DATADIR%%/images_halfsize/makebreak2.png
+%%DATADIR%%/images_halfsize/makebreak3.png
+%%DATADIR%%/images_halfsize/makebreak4.png
+%%DATADIR%%/images_halfsize/makebreak5.png
+%%DATADIR%%/images_halfsize/man1.png
+%%DATADIR%%/images_halfsize/man2.png
+%%DATADIR%%/images_halfsize/numbers.png
+%%DATADIR%%/images_halfsize/paused.png
+%%DATADIR%%/images_halfsize/title.jpg
+%%DATADIR%%/images_halfsize/woman1.png
+%%DATADIR%%/images_halfsize/woman2.png
+%%DATADIR%%/images_halfsize/zombie1.png
+%%DATADIR%%/images_halfsize/zombie2.png
+%%DATADIR%%/images_halfsize/zombie_mad1.png
+%%DATADIR%%/images_halfsize/zombie_mad2.png
+%%DATADIR%%/music/AMAZE.S3M
+%%DATADIR%%/music/Suggestive_vibes_01.mod
+%%DATADIR%%/sounds/die.wav
+%%DATADIR%%/sounds/gameover.wav
+%%DATADIR%%/sounds/makebreak_get.wav
+%%DATADIR%%/sounds/makebreak_use.wav
+%%DATADIR%%/sounds/zombie_appear.wav
+%%DATADIR%%/sounds/zombie_eat.wav
+%%DATADIR%%/sounds/zombie_mad.wav
+share/pixmaps/entombed.png
+@dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/music
+@dirrm %%DATADIR%%/images_halfsize
+@dirrm %%DATADIR%%/images
+@dirrm %%DATADIR%%/embedded/images
+@dirrm %%DATADIR%%/embedded
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Rusmir Dusko freebsd_committer 2013-11-26 13:21:57 UTC
State Changed
From-To: open->closed

New port added. Thanks!